Creates a new merchant.
Security
oauth2(Required scopes: merchant:create) or bearerAuth or apiKeyHeader
The business type/description as shown to borrowers. For example: 'Merchant', 'Dealer', or 'Venue'. Defaults to 'Merchant' if no value is provided.
The parent merchant identifier. Used to represent hierarchy of merchant sub entities. Can be Peach or lender's external identifier.
The email of the merchant's primary contact person or department.
The name of the merchant's primary contact person or department.
The phone number of the merchant's primary contact person or department.
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/companies/{companyId}/merchants' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"address": {
"POBox": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"country": "string",
"countyOrRegion": "string",
"postalCode": "string",
"state": "strin"
},
"businessName": "string",
"businessTypeDisplayName": "string",
"disputesContactEmail": "string",
"disputesContactName": "string",
"disputesContactPhone": "string",
"externalId": "string",
"parentMerchantId": "string",
"primaryContactEmail": "string",
"primaryContactName": "string",
"primaryContactPhone": "string",
"subEntityname": "string"
}'Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "businessName": "string", "businessTypeDisplayName": "string", "disputesContactEmail": "string", "disputesContactName": "string", "disputesContactPhone": "string", "externalId": "string", "parentMerchantId": "string", "primaryContactEmail": "string", "primaryContactName": "string", "primaryContactPhone": "string", "subEntityname": "string" } }